## gnat-4.6 4.6.4-4+alpha

=== debian/changelog ===
gnat-4.6 (4.6.4-4+alpha) unreleased; urgency=low

  * Link with --no-relax on alpha.

 -- Michael Cree <mcree@orcon.net.nz>  Sun, 13 Apr 2014 19:46:23 +1200

gnat-4.6 (4.6.4-4) unstable; urgency=medium

  * Revert g4.6-base to Architecture: all. Closes: #743833.
  * g4.6 Breaks/Replaces g4.9-base (= 4.9-20140330-1). Closes: #743376.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 12 Apr 2014 10:43:37 +0200

gnat-4.6 (4.6.4-3) unstable; urgency=medium

  * Install debian_packaging.mk to gnat-x.y, not -base.
    Closes: #743308, #743376. Break/Replace: -base 4.6.4-2 accordingly.
  * Build-Depends: gnatgcc symlink in gnat<<4.6.1 or gnat-4.6>=4.6.4-2.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 06 Apr 2014 13:37:23 +0200

gnat-4.6 (4.6.4-2) unstable; urgency=medium

  * Add myself as uploader.
  * Install debian_packaging.mk Makefile snippet instead of dh-ada-library
    package, and gnatgcc symlink instead of gnat package.
    Replace and Break accordingly.
  * Suggest existing version of ada-reference-manual.
  * Do not Provide obsolete virtual ada-compiler
  * Merge below fixes #710142, #724865. Closes: #713124.

  Merge from gcc-4.6 (4.6.4-6) unstable; urgency=medium

  * Stop building the spu cross compiler. Fixes: #734001.
  * Suggest libppl13 instead of libppl12.

  Merge from gcc-4.6 (4.6.4-5) unstable; urgency=low

  * Don't pass --with-mips-plt on mips/mipsel.
  * Stop building libmudflap (removed in GCC 4.9).
  * Remove build conflict with binutils-gold. Fixes: #724865.

  Merge from gcc-4.6 (4.6.4-4) unstable; urgency=low

  * Refresh kbsd-gnu.diff.

  Merge from gcc-4.6 (4.6.4-3) unstable; urgency=low

  * Enable multilib build for gdc.
  * Refresh the m68k-ada.diff patch (Torsten Glaser).
  * Build zh_TW.UTF-8 locale to fix libstdc++ test failures.
  * Keep prev-* symlinks to fix plugin.exp test failures.
  * Don't configure anymore with --enable-libstdcxx-time=yes.
    Addresses: #710220.
  * Drop build dependency on automake, not used anymore.
  * Let gcc depend on the binutils upstream version it was built with.
    Addresses #710142.
  * Pass --hash-style=gnu instead of --hash-style=both to the linker.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 31 Mar 2014 18:18:43 +0200

gnat-4.6 (4.6.4-1) unstable; urgency=low

  * Rebuild with gnat-4.6-source (>= 4.6.4-1).  Closes: #707261.

  Merge from gcc-4.6 (4.6.4-2) unstable; urgency=low

  * Refresh ada-sjlj.diff.
  * In gnatlink, pass the options and libraries after objects to the
    linker to avoid link failures with --as-needed. Closes: #680292.
  * Fix gdc build on architectures not providing libphobos.
  * Allow java class file format version 1.7 (backport from 4.7).
  * Tighten build dependency on libmpc-dev to ensure using libmpc3.

  Merge from gcc-4.6 (4.6.4-1) experimental; urgency=low

  * GCC 4.6.4 release.
  * Update the Linaro support to the 4.6-2013.04 release.

  Merge from gcc-4.6 (4.6.3-16) experimental; urgency=low

  * Update to SVN 20130405 (r197516) from the gcc-4_6-branch (4.6.4 release
    candidate 1).
    - Fix PR target/56114 (x86), PR tree-optimization/55755,
      PR rtl-optimization/56023, PR tree-optimization/55264,
      PR fortran/55072, PR bootstrap/55571, PR rtl-optimization/56275,
      PR c++/56247, PR fortran/55852, PR fortran/50627,
      PR fortran/56054, PR other/54620, PR target/39064,
      PR middle-end/45472, PR middle-end/56461, PR middle-end/55889,
      PR target/56560 (x86), PR bootstrap/56258,
      PR bootstrap/56258, PR c++/56403, PR fortran/56615,
      PR fortran/56575, PR fortran/55362, PR fortran/56385, PR fortran/56318,
      PR middle-end/52547, PR tree-optimization/56539, PR middle-end/56015,
      PR tree-optimization/56098, PR tree-optimization/55921, PR c/54363,
      PR middle-end/54486, PR debug/53174, PR middle-end/52547,
      PR tree-optimization/52445, PR c++/56239, PR target/56771 (ARM),
      PR rtl-optimization/48308, PR rtl-optimization/54472,
      PR tree-optimization/48189, PR fortran/56737, PR fortran/56737,
      PR fortran/56735, PR other/43620.
  * Backport PR rtl-optimization/52573 from trunk, apply for m68k only.
    Fixes: #698380.
  * Allow building with cloog-0.16 / ppl-1.0.
  * Update the Linaro support to the 4.6-2013.02 release.

  Merge from gcc-4.6 (4.6.3-15) unstable; urgency=low

  * Update to SVN 20130114 (r195168) from the gcc-4_6-branch.
    - Fix PR bootstrap/55571, PR target/53789, PR c++/55804,
      PR tree-optimization/55355, PR target/54121 (sparc), PR c++/55032,
      PR middle-end/50283, PR target/55195, PR libgcc/48076, PR c++/55877,
      PR c++/55032, PR c++/55245, PR c++/54883, PR c++/55249, PR c++/53862,
      PR c++/51662, PR target/53912 (mingw), PR ada/54614, PR fortran/42769,
      PR fortran/45836, PR fortran/45900, PR fortran/55827, PR fortran/55618.
    - Backport multiarch patches, including powerpcspu fix. Fixes: #695654.

  [ Matthias Klose ]
  * For cross builds, fix libc6 dependencies for non-default multilib packages.
  * Don't ship libiberty.a in gcc-4.6-hppa64. Fixes: #659556.

  [ Thorsten Glaser ]
  * libffi: Update the libffi-m68k patch from upstream and apply
    further fixes from upstream as well as upstreamed from #660525.
  * Ada: debian/patches/ada-libgnatprj.diff: Add missing wildcard
    to the m68k-*-linux* target (fixes building shared libraries).
  * Ada: Enable on m68k Linux.
  * Backport: trunk r187181, r187234, r187714 to speed up genattrtab,
    apply for m68k only.
  * Backport: atomic builtin backend code for Linux/m68k from trunk.
  * PR52714: Add proposed fix (use gcc-4.5 version of PR45695 fix),
    apply for m68k only.
  * m68k: PR40134: Add t-slibgcc-libgcc for m68k-linux.
  * Cross: When building a cross-compiler, re-enable building the
    runtime packages that were disabled because gcc-4.7 provides
    them for the main archive to keep them self-contained.
  * mint-m68k: Add the FreeMiNT patches from Vincent Rivière to

