## gnat-4.6 4.6.4-4+m68k.1

=== debian/changelog ===
gnat-4.6 (4.6.4-4+m68k.1) unreleased; urgency=low

  * Merge delta from gnat-4.6 (4.6.4-1‥4.6.4-4).

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 21 Apr 2014 14:28:51 +0200

gnat-4.6 (4.6.4-1+m68k.1) unreleased; urgency=low

  * Upload as gnat-4.6.

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 16 May 2013 20:49:40 +0000

gcc-4.6 (4.6.4-2+m68k.1) unreleased; urgency=low

  * [m68k] Retry with -O1 then -O0 after PR52306 occurrence.
  * Merge from gnat-4.6:
    - ada-symbolic-tracebacks.diff: Fix detecting kFreeBSD.
  * pr52714.diff: Fix spelling.
  * [m68k] rules.patch: Actually enable pr52573.
  * Refresh several diffs with quilt.

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 16 May 2013 20:00:35 +0000

gcc-4.6 (4.6.4-3) UNRELEASED; urgency=low

  * Enable multilib build for gdc.
  * Refresh the m68k-ada.diff patch (Torsten Glaser).

 -- Matthias Klose <doko@debian.org>  Thu, 09 May 2013 11:15:06 +0200

gcc-4.6 (4.6.4-2) unstable; urgency=low

  * Refresh ada-sjlj.diff.
  * In gnatlink, pass the options and libraries after objects to the
    linker to avoid link failures with --as-needed. Closes: #680292.
  * Fix gdc build on architectures not providing libphobos.
  * Allow java class file format version 1.7 (backport from 4.7).
  * Tighten build dependency on libmpc-dev to ensure using libmpc3.

 -- Matthias Klose <doko@debian.org>  Wed, 08 May 2013 09:37:40 +0200

gcc-4.6 (4.6.4-1) experimental; urgency=low

  * GCC 4.6.4 release.
  * Update the Linaro support to the 4.6-2013.04 release.

 -- Matthias Klose <doko@debian.org>  Fri, 12 Apr 2013 13:57:03 +0200

gcc-4.6 (4.6.3-16) experimental; urgency=low

  * Update to SVN 20130405 (r197516) from the gcc-4_6-branch (4.6.4 release
    candidate 1).
    - Fix PR target/56114 (x86), PR tree-optimization/55755,
      PR rtl-optimization/56023, PR tree-optimization/55264,
      PR fortran/55072, PR bootstrap/55571, PR rtl-optimization/56275,
      PR c++/56247, PR fortran/55852, PR fortran/50627,
      PR fortran/56054, PR other/54620, PR target/39064,
      PR middle-end/45472, PR middle-end/56461, PR middle-end/55889,
      PR target/56560 (x86), PR bootstrap/56258,
      PR bootstrap/56258, PR c++/56403, PR fortran/56615,
      PR fortran/56575, PR fortran/55362, PR fortran/56385, PR fortran/56318,
      PR middle-end/52547, PR tree-optimization/56539, PR middle-end/56015,
      PR tree-optimization/56098, PR tree-optimization/55921, PR c/54363,
      PR middle-end/54486, PR debug/53174, PR middle-end/52547,
      PR tree-optimization/52445, PR c++/56239, PR target/56771 (ARM),
      PR rtl-optimization/48308, PR rtl-optimization/54472,
      PR tree-optimization/48189, PR fortran/56737, PR fortran/56737,
      PR fortran/56735, PR other/43620.
  * Backport PR rtl-optimization/52573 from trunk, apply for m68k only.
    Closes: #698380.
  * Allow building with cloog-0.16 / ppl-1.0.
  * Update the Linaro support to the 4.6-2013.02 release.

 -- Matthias Klose <doko@debian.org>  Fri, 05 Apr 2013 16:12:56 +0200

gcc-4.6 (4.6.3-15) unstable; urgency=low

  * Update to SVN 20130114 (r195168) from the gcc-4_6-branch.
    - Fix PR bootstrap/55571, PR target/53789, PR c++/55804,
      PR tree-optimization/55355, PR target/54121 (sparc), PR c++/55032,
      PR middle-end/50283, PR target/55195, PR libgcc/48076, PR c++/55877,
      PR c++/55032, PR c++/55245, PR c++/54883, PR c++/55249, PR c++/53862,
      PR c++/51662, PR target/53912 (mingw), PR ada/54614, PR fortran/42769,
      PR fortran/45836, PR fortran/45900, PR fortran/55827, PR fortran/55618.
    - Backport multiarch patches, including powerpcspu fix. Closes: #695654.

  [ Matthias Klose ]
  * For cross builds, fix libc6 dependencies for non-default multilib packages.
  * Don't ship libiberty.a in gcc-4.6-hppa64. Closes: #659556.

  [ Thorsten Glaser ]
  * libffi: Update the libffi-m68k patch from upstream and apply
    further fixes from upstream as well as upstreamed from #660525.
  * Ada: debian/patches/ada-libgnatprj.diff: Add missing wildcard
    to the m68k-*-linux* target (fixes building shared libraries).
  * Ada: Enable on m68k Linux.
  * Backport: trunk r187181, r187234, r187714 to speed up genattrtab,
    apply for m68k only.
  * Backport: atomic builtin backend code for Linux/m68k from trunk.
  * PR52714: Add proposed fix (use gcc-4.5 version of PR45695 fix),
    apply for m68k only.
  * m68k: PR40134: Add t-slibgcc-libgcc for m68k-linux.
  * Cross: When building a cross-compiler, re-enable building the
    runtime packages that were disabled because gcc-4.7 provides
    them for the main archive to keep them self-contained.
  * mint-m68k: Add the FreeMiNT patches from Vincent Rivière to
    enable building DEB_STAGE=stage1 cross-compilers, which are
    needed for developing bootloaders on m68k.
  * Closes: #694112.

 -- Matthias Klose <doko@debian.org>  Mon, 14 Jan 2013 19:37:53 +0100

gcc-4.6 (4.6.3-14) unstable; urgency=low

  * Update to SVN 20121121 (r193837) from the gcc-4_6-branch.
    - Fix PR fortran/55314.
  * Make explicit --{en,dis}able-multiarch options effecitive (Thorsten Glaser).
  * Fix multiarch name for powerpc non-biarch builds.
  * Fix 64bit C++ header installation on s390. Closes: #694482.

 -- Matthias Klose <doko@debian.org>  Tue, 27 Nov 2012 06:02:15 +0100

gcc-4.6 (4.6.3-13) unstable; urgency=low

  * Update to SVN 20121121 (r193700) from the gcc-4_6-branch.
    - Fix PR middle-end/55219 (ice on valid), PR rtl-optimization/48374 (ice
      on valid), PR rtl-optimization/53701 (ice on valid), PR middle-end/54945,
      PR target/54950 (m32c), PR libfortran/54736 (wrong code).
  * Split multiarch patches into local and upstreamed parts.
  * Update symbols files for powerpcspe (Roland Stigge). Closes: #693326.
  * Clean up libstdc++ man pages. Closes: #692446.

 -- Matthias Klose <doko@debian.org>  Thu, 22 Nov 2012 02:28:41 +0100

gcc-4.6 (4.6.3-12) unstable; urgency=low

  * Update to SVN 20121011 (r192379) from the gcc-4_6-branch.
    - PARISC fix, test case fix.


