## gnat-4.6 4.6.4-4+rpi2

=== debian/changelog ===
gnat-4.6 (4.6.4-4+rpi2) jessie-staging; urgency=medium

  * Break/Replace 4.6.4-2+rpi1 for the same reason that version
    4.6.4-3 introduced a breaks/replaces on 4.6.4-2

 -- Peter Michael Green <plugwash@raspbian.org>  Fri, 25 Apr 2014 22:45:49 +0000

gnat-4.6 (4.6.4-4+rpi1) jessie-staging; urgency=low

  [Mike Thompson <mpthompson@gmail.com>]
  * Modified to build for Raspberry Pi 
  * Disabled thumb code option which is not supported on Raspberry Pi 

 -- Peter Michael Green <plugwash@raspbian.org>  Sat, 19 Apr 2014 22:21:06 +0000
